=== modified file 'src/CMakeLists.txt'
--- src/CMakeLists.txt	2016-12-23 19:26:49 +0000
+++ src/CMakeLists.txt	2016-12-23 19:40:17 +0000
@@ -69,8 +69,6 @@
 link_directories (${LIB_PATHS})
 add_definitions (${CFLAGS} -O2)
 
-
-
 IF (WITH_UNITY AND UNITY_FOUND)
     vala_precompile (VALA_C ${CMAKE_PROJECT_NAME}
         Application.vala
@@ -103,6 +101,7 @@
         View/Slot.vala
         View/Miller.vala
         View/VolumePropertiesWindow.vala
+        View/Widgets/Label.vala
         View/Widgets/PermissionButton.vala
 
     PACKAGES
@@ -160,6 +159,9 @@
         View/Slot.vala
         View/Miller.vala
         View/VolumePropertiesWindow.vala
+        View/Widgets/Label.vala
+        View/Widgets/PermissionButton.vala
+
     PACKAGES
         gtk+-3.0
         gio-2.0

=== modified file 'src/View/AbstractPropertiesDialog.vala'
--- src/View/AbstractPropertiesDialog.vala	2016-12-22 23:19:28 +0000
+++ src/View/AbstractPropertiesDialog.vala	2016-12-23 19:40:17 +0000
@@ -19,9 +19,8 @@
 *
 * Authored by: ammonkey <am.monkeyd@gmail.com>
 */
-namespace Marlin.View {
 
-protected abstract class AbstractPropertiesDialog : Gtk.Dialog {
+protected abstract class Marlin.View.AbstractPropertiesDialog : Gtk.Dialog {
     protected Gtk.Grid info_grid;
     protected Gtk.Grid layout;
     protected Gtk.Stack stack;
@@ -177,30 +176,3 @@
         }
     }
 }
-
-protected class HeaderLabel : Gtk.Label {
-    public HeaderLabel (string _label) {
-        halign = Gtk.Align.START;
-        get_style_context ().add_class ("h4");
-        label = _label;
-    }
-}
-
-protected class KeyLabel : Gtk.Label {
-    public KeyLabel (string _label) {
-        halign = Gtk.Align.END;
-        label = _label;
-        margin_start = 12;
-    }
-}
-
-protected class ValueLabel : Gtk.Label {
-    public ValueLabel (string _label) {
-        can_focus = true;
-        halign = Gtk.Align.START;
-        label = _label;
-        selectable = true;
-        use_markup = true;
-    }
-}
-}

=== added file 'src/View/Widgets/Label.vala'
--- src/View/Widgets/Label.vala	1970-01-01 00:00:00 +0000
+++ src/View/Widgets/Label.vala	2016-12-23 19:40:17 +0000
@@ -0,0 +1,44 @@
+/*
+* Copyright (c) 2016 elementary LLC. (http://launchpad.net/pantheon-files)
+*
+* This program is free software; you can redistribute it and/or
+* modify it under the terms of the GNU General Public
+* License as published by the Free Software Foundation; either
+* version 2 of the License, or (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+* General Public License for more details.
+*
+* You should have received a copy of the GNU General Public
+* License along with this program; if not, write to the
+* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+* Boston, MA 02111-1307, USA.
+*/
+
+public class HeaderLabel : Gtk.Label {
+    public HeaderLabel (string label) {
+        Object (halign: Gtk.Align.START, label: label);
+    }
+
+    construct {
+        get_style_context ().add_class ("h4");
+    }
+}
+
+public class KeyLabel : Gtk.Label {
+    public KeyLabel (string label) {
+        Object (halign: Gtk.Align.END, label: label, margin_start: 12);
+    }
+}
+
+public class ValueLabel : Gtk.Label {
+    public ValueLabel (string label) {
+        Object (can_focus: true,
+                halign: Gtk.Align.START,
+                label: label, selectable: true,
+                use_markup: true
+        );
+    }
+}

